{% extends 'base.html' %} 

{% block title %}
	Update Profile
{% endblock %}

{% block content %}

{% if user.is_anonymous == False %}
	<div class="container">
		<div class="row">
			<div class="col-6 offset-3">
				<h1 class="text-center my-3">Update Profile</h1>

				  <form action="{% url 'todolist:update_profile' %}" method="post">
					{% csrf_token %}

					<div class="mb-3">
					    <label for="username">Username: </label>
					    <input class="form-control" id="username" type="text" name="username" value="{{ username }}" maxlength="20" required>
					    {% if username_taken %}
					    	<p class="text-danger">Username taken.</p>
					    {% endif %}
					</div>

					<div class="mb-3">
					    <label for="password">First Name: </label>
					    <input class="form-control" id="first_name" type="text" name="first_name" value="{{ first_name }}" maxlength="20" required>
					</div>

					<div class="mb-3">
					    <label for="password">Last Name: </label>
					    <input class="form-control" id="last_name" type="text" name="last_name" value="{{ last_name }}" maxlength="20" required>
					</div>

					<div class="mb-3">
					    <label for="password">Email: </label>
					    <input class="form-control" id="email" type="email" name="email" value="{{ email }}" maxlength="20" required>
					    {% if email_taken %}
					    	<p class="text-danger">This email already has an account.</p>
					    {% endif %}
					</div>

					<div class="text-center">
				    	<input class="btn btn-success" type="submit" value="Update Profile">
					</div>

				  </form>
			</div>
		</div>
	</div>

{% else %}
    <h1 class="text-center mt-3">You are not authorized to access this page.</h1>
    <p class="text-center">Kindly login <a href="{% url 'todolist:login' %}">here</a></p>
{% endif %}

{% endblock %}

